Subject: Re: [bug#64891] [PATCH] gnu: Add hare

From: "(" <[email-masked]>
Date: Tue, 08 Aug 2023 11:43:17 +0100

Ekaitz Zarraga <[email-masked]> writes:
> Hi,
>
> I applied most of the proposed changes to the hare package, and I split the commit in two.

Looks good :)  It's easier to read and apply the patches if you send
them with 'git send-email' as described by the manual, though:

  https://guix.gnu.org/manual/devel/en/html_node/Sending-a-Patch-Series.html

> I talked with the devs and we need to propagate at least those variables because
> the config.mk file is not persisting the values. We'll patch that upstream
> later.

You can still do something like this, surely?

  (substitute* "foo/bar.ha"
    (("\"harec\") (search-input-file inputs "/bin/harec"))
    (("\"qbe\") (search-input-file inputs "/bin/qbe")))

  -- (